Subject: DRAFT Revision to the WG Document Writeup

From: Russ Housley <[email-masked]>
Date: Thu, 27 Oct 2011 13:40:02 -0400

The IESG is considering adopting this update the the Document Writeup.  Please let us know if this causes any concern.

On behalf of the IESG,
Russ

= = = = = = = =

Document Writeup

As required by RFC 4858, this is the current template for the Document
Shepherd Writeup.

Changes are expected over time. This DRAFT version is dated
October 27, 2011.

  (1) Has the Document Shepherd personally reviewed this version of
      the document and, in particular, does he or she believe this 
      version is ready for forwarding to the IESG for publication?

  (2) Has the document had adequate review both from key WG members 
      and from key non-WG members? Does the Document Shepherd have 
      any concerns about the depth or breadth of the reviews that 
      have been performed?  

  (3) Does the Document Shepherd have concerns that the document 
      needs more review from a particular or broader perspective, 
      e.g., security, operational complexity, AAA, DNS, DHCP, XML,
      or internationalization? 

  (4) Does the Document Shepherd have any specific concerns or 
      issues with this document that the Responsible Area Director
      and/or the IESG should be aware of? For example, perhaps he 
      or she is uncomfortable with certain parts of the document, or 
      has concerns whether there really is a need for it. In any 
      event, if the WG has discussed those issues and has indicated 
      that it still wishes to advance the document, detail those 
      concerns here.

  (5) Has an IPR disclosure related to this document been filed?
      If so, please include a reference to the WG discussion and
      summarize the WG conclusion on this issue. 

  (6) How solid is the WG consensus behind this document? Does it 
      represent the strong concurrence of a few individuals, with 
      others being silent, or does the WG as a whole understand and 
      agree with it?   

  (7) Has anyone threatened an appeal or otherwise indicated extreme 
      discontent? If so, please summarise the areas of conflict in 
      separate email messages to the Responsible Area Director. (It 
      should be in a separate email because this questionnaire is 
      entered into the ID Tracker.) 

  (8) Has the Document Shepherd personally verified that the 
      document satisfies all ID nits? (See the Internet-Drafts Checklist 
      and http://www.ietf.org/tools/idnits/). Boilerplate checks are 
      not enough; this check needs to be thorough. Has the document 
      met all formal review criteria it needs to, such as the MIB 
      Doctor, media type, and URI type reviews? 

  (9) Has the document split its references into normative and 
      informative? Are there normative references to documents that 
      are not ready for advancement or are otherwise in an unclear 
      state? If such normative references exist, what is the 
      strategy for their completion? Are there normative references 
      that are downward references, as described in [RFC3967]? If 
      so, list these downward references to support the Area 
      Director in the Last Call procedure for them [RFC3967]. 

 (10) Is this document intended to obsolete another RFC? If so, is
      the to-be-obsolete RFC number shown in the title page header,
      and is this situation mentioned in the Abstract and in the
      Introduction? Also, is the to-be-obsolete RFC expect to move
      to Historic? If so, is this change in RFC status explicitly
      stated in the Introduction?

 (11) Is this document intended to update another RFC? If so, is
      the to-be-updated RFC number shown in the title page header,
      and is this situation mentioned in the Abstract and in the
      Introduction?

 (12) Has the Document Shepherd verified that the document IANA 
      consideration section exists and is consistent with the body 
      of the document? If the document specifies protocol 
      extensions, are reservations requested in appropriate IANA 
      registries? Are the IANA registries clearly identified? If 
      the document creates a new registry, does it define the 
      proposed initial contents of the registry and an allocation 
      procedure for future registrations? Does it suggest a 
      reasonable name for the new registry? See [RFC5226]. If the 
      document describes an Expert Review process has Shepherd 
      conferred with the Responsible Area Director so that the IESG 
      can appoint the needed Expert during the IESG Evaluation? 

 (13) Has the Document Shepherd verified that sections of the 
      document that are written in a formal language, such as XML 
      code, BNF rules, MIB definitions, etc., validate correctly in 
      an automated checker? 

 (14) The IESG approval announcement includes a Document 
      Announcement Write-Up. Please provide such a Document 
      Announcement Write-Up? Recent examples can be found in the
      "Action" announcements for approved documents. The approval 
      announcement contains the following sections:

      Technical Summary

        Relevant content can frequently be found in the abstract 
        and/or introduction of the document. If not, this may be 
        an indication that there are deficiencies in the abstract 
        or introduction.

      Working Group Summary

        Was there anything in WG process that is worth noting? For 
        example, was there controversy about particular points or 
        were there decisions where the consensus was particularly 
        rough?

      Document Quality

        Are there existing implementations of the protocol? Have a 
        significant number of vendors indicated their plan to 
        implement the specification? Are there any reviewers that 
        merit special mention as having done a thorough review, 
        e.g., one that resulted in important changes or a 
        conclusion that the document had no substantive issues? If 
        there was a MIB Doctor, Media Type or other expert review, 
        what was its course (briefly)? In the case of a Media Type 
        review, on what date was the request posted?

      Personnel

        Who is the Document Shepherd? Who is the Responsible Area
        Director.

---

From: Al Morton <[email-masked]>
Date: Thu, 27 Oct 2011 14:13:09 -0400

At 01:40 PM 10/27/2011, Russ Housley wrote:
>The IESG is considering adopting this update the the Document 
>Writeup.  Please let us know if this causes any concern.
...

Hi Russ, if you have a few spare cycles...

Would you please highlight the changes, so that every wg chair
doesn't have to run diff to see what's new?
Just a few bullets off the top of your head will do it.

In the past I've found that the when the questions changed,
my yes/no answers really didn't change in many cases.

With all the compound questions, I'm also beginning to wonder
if a web-based form would save time for any busy chairs.

regards,
Al

---

From: Ted Lemon <[email-masked]>
Date: Thu, 27 Oct 2011 18:15:28 +0000

On Oct 27, 2011, at 1:40 PM, Russ Housley wrote:
 (3) Does the Document Shepherd have concerns that the document
     needs more review from a particular or broader perspective,
     e.g., security, operational complexity, AAA, DNS, DHCP, XML,
     or internationalization?

It might be worth rephrasing this into more steps:

 (3) Does the document contain elements that
     need more review from a particular or broader perspective,
     e.g., security, operational complexity, AAA, DNS, DHCP, XML,
     or internationalization?

and then

(4) If so, has the Document Shepherd verified that appropriate review took place?

(5) If so, please describe the review that took place.

---

From: Russ Housley <[email-masked]>
Date: Thu, 27 Oct 2011 14:44:40 -0400

Sorry, I should have done that from the beginning:

- changed the numbering scheme.

- divided the old (1.d) into two questions.

- added a question about obsoleting other RFCs.

- added a question about updating other RFCs.

- Added the Personnel portion to the last question.

- changes the URL to idnits.

Russ

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 27 Oct 2011 13:52:36 -0500

Russ

This caught my eye, as it's asking for far more than previously was 
asked. In my 12+ years at the IETF, I have seen (in email) maybe 5 
IPR discussions, though I've seen maybe a dozen announcements of IPR. 
On the other hand, I've *heard* a couple of dozen announcements of 
IPR on a draft at a meeting.

If memory serves, 100% of the 5 discussions (on a list) were around 
someone figuring out (in their opinion) that there were royalties 
expected or at least a danger that they were if this draft progressed 
as is. Everyone I paid attention to, which I admit wasn't all of them 
(there were so many ;-) was resolved when one of two things happened:

1) the draft was changed such that it didn't appear the IPR applied 
anymore, or (and more frequently)

2) the IPR claims were changed to a purely defensive position.

Now, nearly none of us are lawyers, so I don't know how we can really 
judge #1 or #2.

The nut of what I'm saying here is that your new #5 asks for a link 
to discussions that rarely take place, partly (probably) because we 
can't really judge a good outcome. This manifests externally (i.e., 
someone actually writes an email) when it's obviously a violation of 
the free unencumbered code principle, but many times people realize 
this will be solved in the courts, so they don't even comment. That 
leads to a lack of ability to point (i.e., give a URL) to any WG discussion.

Therefore, I believe #5 cannot remain as is.

Either we need to adopt an additional on WG chairs for forcing a WG 
discussion (one that isn't appropriate at meetings because there is 
no referencable link to provide), or we leave it to whether or not 
there are claims against a document and let the courts hash it out.

James

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 27 Oct 2011 20:52:34 +0200

Actually many of the external reviews happen after the documents are
submitted to the IESG, some at the request of the shepherding AD and/or
during the IETF Last Call. Hence the language in the old and new version
about 'needs more review ...'

Dan

 

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Ted Lemon
Sent: Thursday, October 27, 2011 8:15 PM
To: Russ Housley
Cc: IETF WG Chairs
Subject: Re: DRAFT Revision to the WG Document Writeup

	     e.g., security, operational complexity, AAA, DNS, DHCP,
XML,
	     or internationalization? 

	 (3) Does the document contain elements that
	     need more review from a particular or broader perspective, 
	     e.g., security, operational complexity, AAA, DNS, DHCP,
XML,
	     or internationalization? 

and then

(4) If so, has the Document Shepherd verified that appropriate review
took place?

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 27 Oct 2011 14:13:48 -0500

At 01:52 PM 10/27/2011, James M. Polk wrote:
>This caught my eye, as it's asking for far more than previously was asked.

"...asking for far more than previously was asked..." was a bad 
choice of words, especially from a wg chair. I've always given the 
URL to the disclosure, but lacked the "discussion" URL because there 
hasn't been one.

sorry for making me read like a fool with the above comment. What's 
below I stand by though...

>  In my 12+ years at the IETF, I have seen (in email) maybe 5 IPR 
> discussions, though I've seen maybe a dozen announcements of IPR. 
>expected or at least a danger that they were if this draft 
>progressed as is. Everyone I paid attention to, which I admit wasn't 
>all of them (there were so many ;-) was resolved when one of two 
>things happened:
>
>Now, nearly none of us are lawyers, so I don't know how we can 
>really judge #1 or #2.
>

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 27 Oct 2011 12:45:37 -0700

> if a web-based form would save time for any busy chairs.

+1. Or, at least, one question per bullet number. I find it odd to respond to some of the questions with "Yes; yes; no" while others I say just "Yes" because the rest of the compound is only needed if the first is a "no".

--Paul Hoffman

---

From: Barry Leiba <[email-masked]>
Date: Thu, 27 Oct 2011 16:14:10 -0400

> "...asking for far more than previously was asked..." was a bad choice of
> words, especially from a wg chair. I've always given the URL to the
> disclosure, but lacked the "discussion" URL because there hasn't been one.
>
> sorry for making me read like a fool with the above comment. What's below I
> stand by though...

James, that question isn't new; it was just part of the previous
question in the old version.  THe wording hasn't changed at all.

Barry

---

From: Pete Resnick <[email-masked]>
Date: Thu, 27 Oct 2011 15:27:49 -0500

> question in the old version.  THe wording hasn't changed at all.

Not quite. The old statement says: "Has an IPR disclosure related to 
this document been filed? If so, please include a *reference to the 
disclosure* and summarize the WG discussion and conclusion on this 
issue." The reference to the disclosure seemed unnecessary given that 
it's in the tracker, so it removes the request for a pointer to the 
*disclosure*, but it now asks for a pointer to *WG discussion*.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

---

From: "David Harrington" <[email-masked]>
Date: Thu, 27 Oct 2011 16:30:55 -0400

the text is slightly different; instead of a reference to the ipr
declaration, it now requests a pointer to the discussion. 

But if there is no IPR, then there is no need for a pointer to the
discussion. 
If the discussion is only the announcement by the chairs that there is
an IPR declaration, that is sufficient. If there is IPR declared but
no WG discussion, the AD/IESG will likely send it back to the WG to
have the discussion, causing a delay in approval. If the shepherd
provides the pointer, it won't get held up in AD/IESG review for that
point.

dbh

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Barry Leiba
> Sent: Thursday, October 27, 2011 4:14 PM
> To: James M. Polk
> Cc: IETF WG Chairs; Russ Housley
> Subject: Re: DRAFT Revision to the WG Document Writeup (about IPR)
>

---

From: "Spencer Shepler" <[email-masked]>
Date: Thu, 27 Oct 2011 13:43:05 -0700

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of David Harrington
> Sent: Thursday, October 27, 2011 1:31 PM
> To: 'Barry Leiba'; 'James M. Polk'
> Cc: 'IETF WG Chairs'; 'Russ Housley'
> Subject: RE: DRAFT Revision to the WG Document Writeup (about IPR)
> 
> If the discussion is only the announcement by the chairs that there is an
> IPR declaration, that is sufficient. If there is IPR declared but no WG
> discussion, the AD/IESG will likely send it back to the WG to have the
> discussion, causing a delay in approval. If the shepherd provides the
> pointer, it won't get held up in AD/IESG review for that point.

I am concerned by a requirement to have a discussion.  Many WG members may
not
be in a position to make comment either by choice or instruction.

Posting the announcement of IPR to the WG and suggesting that interested
parties pass along the information to those best suited to review the
material should be sufficient.

Spencer

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 27 Oct 2011 22:07:06 +0100

There is no "requirement to have a discussion"

There is a requirement that the WG is aware of the IPR, and if there is a
discussion then the IESG would like a pointer to it (actually, i would
personally be happy with a précis). Is that hard?

You could argue that this is covered by "was there any discontent, blah, blah",
but this is a specific issue we would like to call out in order to make sure it
is not missed.

Thanks,
Adrian

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Spencer Shepler
> Sent: 27 October 2011 21:43
> To: 'David Harrington'; 'Barry Leiba'; 'James M. Polk'
> not be in a position to make comment either by choice or instruction.
>

---

From: "Spencer Shepler" <[email-masked]>
Date: Thu, 27 Oct 2011 14:12:43 -0700

My apologies.  I mis-read David's email and latched on to the
last portion that said if no discussion occurred the document
would be held.  I ignored the first part that the announcement
to the WG was sufficient to meet the "discussion" requirement.

Spencer

> From: Adrian Farrel [mailto:[email-masked]]
> Sent: Thursday, October 27, 2011 2:07 PM
> To: 'Spencer Shepler'; 'David Harrington'; 'Barry Leiba'; 'James M. Polk'
> You could argue that this is covered by "was there any discontent, blah,
> blah", but this is a specific issue we would like to call out in order to
> make sure it is not missed.
> 
> Thanks,
> Adrian
> 
> > Behalf Of Spencer Shepler
> > > From: [email-masked] [mailto:[email-masked]]
> > > On Behalf Of David Harrington
> > > If the discussion is only the announcement by the chairs that there
> > > is an IPR declaration, that is sufficient. If there is IPR declared
> > > but no WG discussion, the AD/IESG will likely send it back to the WG
> > > to have the discussion, causing a delay in approval. If the shepherd
> > I am concerned by a requirement to have a discussion.  Many WG members
> > may not be in a position to make comment either by choice or
> instruction.
> >
> > Posting the announcement of IPR to the WG and suggesting that
> > interested parties pass along the information to those best suited to
> > review the material should be sufficient.
> >
> > Spencer
> >
> > >
> > > dbh

---

From: Joe Touch <[email-masked]>
Date: Thu, 27 Oct 2011 15:08:56 -0700

FWIW, the text just ought to mirror that of the IETF version IMO.

Optimizing beyond what the IETF has to do isn't worth effort.

Joe

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Fri, 28 Oct 2011 12:55:43 +0200

I'd support that, except that 4) implies that that is a valid stopping place for a WG group and the shepherd. An identification of reviews in 3) should automatically result in answers in 5).

Keith

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ted Lemon
Sent: 27 October 2011 19:15
To: Russ Housley
Cc: IETF WG Chairs
Subject: Re: DRAFT Revision to the WG Document Writeup

and then

---

From: "Gunter Van de Velde (gvandeve)" <[email-masked]>
Date: Fri, 28 Oct 2011 13:23:10 +0200

Yes, one question per line would be very convenient and less confusing
indeed.

G/

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Paul Hoffman
Sent: 27 October 2011 21:46
To: IETF WG chairs
Cc: Russ Housley
Subject: Re: DRAFT Revision to the WG Document Writeup

> if a web-based form would save time for any busy chairs.

+1. Or, at least, one question per bullet number. I find it odd to
respond to some of the questions with "Yes; yes; no" while others I say
just "Yes" because the rest of the compound is only needed if the first
is a "no".

--Paul Hoffman

---

From: Jari Arkko <[email-masked]>
Date: Fri, 28 Oct 2011 15:52:51 +0300

On the IPR issue, one change in the wording is due to the fact that IPRs are visible in the tools versions of the draft anyway, so no need to send extra pointers to the disclosure.

And then the rest of the text was changed to ask about discussion. I tend to agree with James that these discussions usually do not happen, or rather that they are part of the overall WGLC discussion, for instance. I can imagine that in some discussions opinions expressed in the WGLC were affected by IPR considerations, even if not explicitly stated to be so.

So... that leads me to a conclusion that if there's a question that should be asked it is not this one. Another possible question would be "Was the working group aware of the currently declared IPRs when the WGLC was initiated? Yes/No".

Jari

---

From: Lars Eggert <[email-masked]>
Date: Fri, 28 Oct 2011 16:17:15 +0300

Hi,

> So... that leads me to a conclusion that if there's a question that should be asked it is not this one. Another possible question would be "Was the working group aware of the currently declared IPR…

I edited the final revisions of RFC4858, where the original document writeup questionnaire came from, and the wording "summarize the WG discussion and conclusion on this issue" there was (IIRC) deliberate, because it left the shepherd a bit more freedom in what to respond with.

Asking for a pointer to the discussion assumes that a public discussion has taken place. Maybe simply revert to the original wording?

Lars

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 28 Oct 2011 14:39:05 -0500

At 07:52 AM 10/28/2011, Jari Arkko wrote:
>On the IPR issue, one change in the wording is due to the fact that 
>IPRs are visible in the tools versions of the draft anyway, so no 
>need to send extra pointers to the disclosure.
>
>And then the rest of the text was changed to ask about discussion. I 
>tend to agree with James that these discussions usually do not 
>happen, or rather that they are part of the overall WGLC discussion, 
>for instance. I can imagine that in some discussions opinions 
>expressed in the WGLC were affected by IPR considerations, even if 
>not explicitly stated to be so.
>
>So... that leads me to a conclusion that if there's a question that 
>should be asked it is not this one. Another possible question would 
>be "Was the working group aware of the currently declared IPRs when 
>the WGLC was initiated? Yes/No".

This is a reasonable question to have, IMO.

I think a case could be made, based on the above question from Jari, 
for adding one or more of these:

"Please provide a pointer to the declaration to the WGLC of this."

"Was there any list discussion regarding the IPR after this 
declaration to the WG?"

"Please provide a pointer to that IPR discussion on the WG list."

As a WG chair and frequent shepherd, I don't have any issues 
providing answers/links to each of the above.

What I had heartburn over was *having to point* to a WG IPR 
discussion when the discussion either didn't occur, or might have 
only occurred in an announcement on a mic in a meeting, and might 
have only been one-way (i.e., the chair or presenter declaring it, 
and the room remaining silent afterwards on that).

James

---

From: Russ Housley <[email-masked]>
Date: Fri, 28 Oct 2011 16:12:55 -0400

> I think a case could be made, based on the above question from Jari, for adding one or more of these:
> 
> "Was there any list discussion regarding the IPR after this declaration to the WG?"
> 
> As a WG chair and frequent shepherd, I don't have any issues providing answers/links to each of the above.
> 
> What I had heartburn over was *having to point* to a WG IPR discussion when the discussion either didn't occur, or might have only occurred in an announcement on a mic in a meeting, and might have only been one-way (i.e., the chair or presenter declaring it, and the room remaining silent afterwards on that).

How about:

  (5) Has an IPR disclosure related to this document been filed?
      If so, provide a pointer to place where this disclosure was
      shared with the WG, e.g., in the WG Last Call. Was there any
      discussion regarding the IPR disclosure? If so, please
      summarize the discussion and the WG consensus.

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 28 Oct 2011 15:20:30 -0500

At 03:12 PM 10/28/2011, Russ Housley wrote:
> >> On the IPR issue, one change in the wording is due to the fact 
> that IPRs are visible in the tools versions of the draft anyway, so 
> no need to send extra pointers to the disclosure.
> >>
> >> And then the rest of the text was changed to ask about 
> discussion. I tend to agree with James that these discussions 
> usually do not happen, or rather that they are part of the overall 
> WGLC discussion, for instance. I can imagine that in some 
> discussions opinions expressed in the WGLC were affected by IPR 
> considerations, even if not explicitly stated to be so.
> >>
> >> So... that leads me to a conclusion that if there's a question 
> that should be asked it is not this one. Another possible question 
> would be "Was the working group aware of the currently declared 
> IPRs when the WGLC was initiated? Yes/No".
> >

This gets away from the single question per (number), but it 
addresses core of what I threw together above. I'm ok with this text.

James

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Fri, 28 Oct 2011 22:57:32 +0200

The proposed text doesn't entirely make sense. When an IPR disclosure is filed, then the WG mailing list will automatically get a message giving a pointer to the disclosure. So that act is already a matter of public IETF record. The fact that one answers "Yes" to the disclosure automatically means that this is the pointer on the list.

I can well understand that you want to know what other discussion occurred, but giving a pointer to the disclosure being brought to the attention of the WG seems redundant.

Of course if someone has implied at the mic that there is IPR, and then failed to make a disclosure, then that is a different matter, and the answer to a different question.

Regards

Keith

> Behalf Of Russ Housley
> Sent: 28 October 2011 21:13
> To: IETF WG Chairs
> IPRs are visible in the tools versions of the draft anyway, so no need to
> send extra pointers to the disclosure.
> >>
> tend to agree with James that these discussions usually do not happen, or
> rather that they are part of the overall WGLC discussion, for instance. I
> can imagine that in some discussions opinions expressed in the WGLC were
> affected by IPR considerations, even if not explicitly stated to be so.
> >>
> should be asked it is not this one. Another possible question would be
> "Was the working group aware of the currently declared IPRs when the WGLC
> was initiated? Yes/No".
> >
> > What I had heartburn over was *having to point* to a WG IPR discussion
> when the discussion either didn't occur, or might have only occurred in an
> announcement on a mic in a meeting, and might have only been one-way
> (i.e., the chair or presenter declaring it, and the room remaining silent
> afterwards on that).
> 
> How about:
>

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 28 Oct 2011 16:20:03 -0500

At 03:57 PM 10/28/2011, DRAGE, Keith (Keith) wrote:
>The proposed text doesn't entirely make sense. When an IPR 
>disclosure is filed, then the WG mailing list will automatically get 
>a message giving a pointer to the disclosure. So that act is already 
>a matter of public IETF record. The fact that one answers "Yes" to 
>the disclosure automatically means that this is the pointer on the list.

but this doesn't give the IESG the URL, and forces those interested 
to search a WG's archives, doesn't it?

>I can well understand that you want to know what other discussion 
>occurred, but giving a pointer to the disclosure being brought to 
>the attention of the WG seems redundant.
>
>Of course if someone has implied at the mic that there is IPR, and 
>then failed to make a disclosure, then that is a different matter, 
>and the answer to a different question.

agreed

James

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sat, 29 Oct 2011 00:03:49 +0200

> to search a WG's archives, doesn't it?

No it doesn't. If there is a disclosure then the the date of posting to the list will be the date of disclosure.

Now if you are intimating that at that date there may have as a result been some interesting discussion on the list as a result, then that is covered by the last sentence of the question, which I am not commenting on.

Keith

> From: James M. Polk [mailto:[email-masked]]
> Sent: 28 October 2011 22:20
> To: DRAGE, Keith (Keith); Russ Housley; IETF WG Chairs
> Subject: RE: DRAFT Revision to the WG Document Writeup
> 
> declaration
> > > to the WG?"
> discussion

---

From: Russ Housley <[email-masked]>
Date: Sat, 29 Oct 2011 17:10:30 -0400

Keith:

Most of the time, the automated tools do the right thing, but there are corner cases to worry about.  I especially worry when a working group adopts an individual draft and does not change the name.  Another corner case involves a disclosure being submitted agains the I-D when it is an individual submission, and the I-D gets renamed when the WG accepts it, but the "replaced by' relationship not being entered into the the datatracker. 

To cover these admittedly rare cases, how about:

  (5) Has an IPR disclosure related to this document been filed?
      If so, confirm that this disclosure shared with the WG. Was
      there any discussion regarding the IPR disclosure? If so,
      please summarize the discussion and the WG consensus.

Russ

---

From: Jari Arkko <[email-masked]>
Date: Sun, 30 Oct 2011 02:13:31 +0300

Russ,

>        please summarize the discussion and the WG consensus.

This works well for me.

Jari

---

From: Pete Resnick <[email-masked]>
Date: Sat, 29 Oct 2011 19:15:06 -0500

> +1. Or, at least, one question per bullet number. I find it odd to respond to some of the questions with "Yes; yes; no" while others I say just "Yes" because the rest of the compound is only needed…

I privately wrote to Paul, only half jokingly, that if you're answering 
"Yes; yes; no", your probably doing this wrong. I've been giving my 
shepherds a harder time about writeups because yes/no answers don't help 
me all that much, and they certainly don't help the other ADs who might 
go read the writeup if they haven't been following the WG and have no 
context. I think the problem is putting these things in the form of a 
question doesn't get the right outcome.

Below is a strawman complete rewrite of the document writeup template. 
Please tell me if you think I'm full of it, or if this is worth 
pursuing. I think the changes currently proposed should go ahead, 
whether or not folks think this is the bees-knees, because this will 
take more time to discuss than the simple changes proposed.

Let me know what you think.

Document Writeup:

(1) Describe the review of this document done by the Document Shepherd 
and indicate whether this version of the document is ready for 
forwarding to the IESG for publication.

(2) Describe the depth and the breadth of review that this document has 
had, both from key WG members and key non-WG members.

(3) Describe any concerns the Document Shepherd has regarding the review 
this document has received as to particular or broader perspectives, 
e.g., security, operational complexity, AAA, DNS, DHCP, XML, or 
internationalization.

(4) Describe any specific concerns or issues the Document Shepherd has 
with the document that the Responsible Area Director and/or the IESG 
should be aware of. For example, perhaps he or she is uncomfortable with 
certain parts of the document, or has concerns whether there really is a 
need for it. In any event, if the WG has discussed those issues and has 
indicated that it still wishes to advance the document, detail those 
concerns here.

(5) Summarize any WG discussion and conclusion regarding IPR disclosures 
related to this document, if any.

(6) Describe how solid the WG consensus behind this document is. Does it 
represent the strong concurrence of a few individuals, with others being 
silent, or does the WG as a whole understand and agree with it?

(7) Say whether there were any threatened appeals or other indications 
of extreme discontent. If such exist, please also summarize the areas of 
conflict in separate email messages to the Responsible Area Director. 
(It should be in separate email because the answers to this 
questionnaire is publicly available.)

(8) State any ID nits the Document Shepherd has found in this document. 
(See the Internet-Drafts Checklist and 
http://www.ietf.org/tools/idnits/). Boilerplate checks are not enough; 
this check needs to be thorough.

(8.5) Describe how the document meets all required formal review 
criteria, such as the MIB Doctor, media type, and URI type reviews.

(9) Describe the references for this document, including whether they 
have been split appropriately into normative and informative references. 
If any normative references are to documents that are not ready for 
advancement or are otherwise in an unclear state, describe the strategy 
for completion of these other documents. List any downward references, 
as described in [RFC3967], in order to support the Area Director in the 
Last Call procedure for them.

(10) List other RFCs that this document obsoletes, and indicate whether 
they appear in both the title page header as well as in the Abstract and 
Introduction. List separately any RFCs that this document is requesting 
are to be moved to Historic, and indicate whether that request appears 
in the Introduction.

(11) List other RFCs that this document updates, and indicate whether 
they appear in both the title page header as well as in the Abstract and 
Introduction.

(12) Describe the Document Shepherd's review of the IANA considerations 
section, especially with regard to its consistency with the body of the 
document. List any protocol extensions that the document makes where the 
appropriate reservations in IANA registries have *not* been requested, 
or where the registries have *not* been clearly identified. List any 
concerns the Document Shepherd has regarding newly created IANA 
registries (e.g., initial contents for the registry that the document 
has *not* specified, or any allocations procedures for future 
registrations that the document has *not* defined, or an unreasonable 
name for the new registry; see [RFC5226]). List any Experts that the 
IESG will need to appoint during IESG Evaluation for any new Expert 
Review processes the document describes.

(13) Describe reviews and automated checking done by the Document 
Shepherd to validate sections of the document written in a formal 
language, such as XML code, BNF rules, MIB definitions, etc.

(14) The IESG approval announcement includes a Document Announcement 
Write-Up. Please provide such a Document Announcement Write-Up. Recent 
examples can be found in the "Action" announcements for approved 
documents. Please fill in the sections of the below approval 
announcement, replacing the description in parentheses with appropriate 
text.

Technical Summary

(Relevant content can frequently be found in the abstract and/or 
introduction of the document. If not, this may be an indication that 
there are deficiencies in the abstract or introduction.)

Working Group Summary

(This should contain a description of anything in WG process that is 
worth noting. For example, describe controversies about particular 
points or decisions where the consensus was particularly rough.)

Document Quality

(This should contain a description of any existing implementations of 
the protocol. Indicate how many vendors have indicated their plans to 
implement the specification. List any reviewers that merit special 
mentions as having done a thorough review, e.g., one that resulted in 
important changes or a conclusion that the document had no substantive 
issues. Describe briefly the course of any MIB Doctor, Media Type, or 
other expert review that was done. Indicate the dates that any Media 
Type reviews were posted to the ietf-types list.)

Personnel

The Document Shepherd is (Name) (email address)
The Responsible Area Director is (Name) (email address)

---

From: Paul Hoffman <[email-masked]>
Date: Sat, 29 Oct 2011 18:18:43 -0700

On Oct 29, 2011, at 5:15 PM, Pete Resnick wrote:

> (1) Describe the review of this document done by the Document Shepherd and indicate whether this version of the document is ready for forwarding to the IESG for publication.
> 
> (2) Describe the depth and the breadth of review that this document has had, both from key WG members and key non-WG members.   . . .

Even though "Describe" and "List" and "Summarize" will mean more work for us shepherds, I think that the resulting value for the rest of the community is much higher. I hope the IESG considers this rewording seriously.

--Paul Hoffman

---

From: Glen Zorn <[email-masked]>
Date: Sun, 30 Oct 2011 13:11:03 +0700

On 10/30/2011 7:15 AM, Pete Resnick wrote:
>> respond to some of the questions with "Yes; yes; no" while others I
>> say just "Yes" because the rest of the compound is only needed if the
>> first is a "no".
>>    
> 

I doubt that changing the form from Y/N to essay will necessarily
produce any better outcome -- you may just end up w/a couple of hundred
words per section that give _less_ information than a simple Y/N would
have.  Has there ever been an EDU training session on document
shepherding?  Teaching people how to do it might have a better effect
than attempting to manipulate their actions by fiddling w/forms...

---

From: Scott O Bradner <[email-masked]>
Date: Sun, 30 Oct 2011 05:19:47 -0400

makes too much sense to be adopted

Scott

On Oct 29, 2011, at 8:15 PM, Pete Resnick wrote:

> I privately wrote to Paul, only half jokingly, that if you're answering "Yes; yes; no", your probably doing this wrong. I've been giving my shepherds a harder time about writeups because yes/no answers don't help me all that much, and they certainly don't help the other ADs who might go read the writeup if they haven't been following the WG and have no context. I think the problem is putting these things in the form of a question doesn't get the right outcome.
> 
> Below is a strawman complete rewrite of the document writeup template. Please tell me if you think I'm full of it, or if this is worth pursuing. I think the changes currently proposed should go ahead, whether or not folks think this is the bees-knees, because this will take more time to discuss than the simple changes proposed.
> 
> (2) Describe the depth and the breadth of review that this document has had, both from key WG members and key non-WG members.
> 
> (3) Describe any concerns the Document Shepherd has regarding the review this document has received as to particular or broader perspectives, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization.
> 
> (4) Describe any specific concerns or issues the Document Shepherd has with the document that the Responsible Area Director and/or the IESG should be aware of. For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.
> 
> (5) Summarize any WG discussion and conclusion regarding IPR disclosures related to this document, if any.
> 
> (6) Describe how solid the WG consensus behind this document is. Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
> 
> (7) Say whether there were any threatened appeals or other indications of extreme discontent. If such exist, please also summarize the areas of conflict in separate email messages to the Responsible Area Director. (It should be in separate email because the answers to this questionnaire is publicly available.)
> 
> (8) State any ID nits the Document Shepherd has found in this document. (See the Internet-Drafts Checklist and http://www.ietf.org/tools/idnits/). Boilerplate checks are not enough; this check needs to be thorough.
> 
> (8.5) Describe how the document meets all required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.
> 
> (9) Describe the references for this document, including whether they have been split appropriately into normative and informative references. If any normative references are to documents that are not ready for advancement or are otherwise in an unclear state, describe the strategy for completion of these other documents. List any downward references, as described in [RFC3967], in order to support the Area Director in the Last Call procedure for them.
> 
> (10) List other RFCs that this document obsoletes, and indicate whether they appear in both the title page header as well as in the Abstract and Introduction. List separately any RFCs that this document is requesting are to be moved to Historic, and indicate whether that request appears in the Introduction.
> 
> (11) List other RFCs that this document updates, and indicate whether they appear in both the title page header as well as in the Abstract and Introduction.
> 
> (12) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. List any protocol extensions that the document makes where the appropriate reservations in IANA registries have *not* been requested, or where the registries have *not* been clearly identified. List any concerns the Document Shepherd has regarding newly created IANA registries (e.g., initial contents for the registry that the document has *not* specified, or any allocations procedures for future registrations that the document has *not* defined, or an unreasonable name for the new registry; see [RFC5226]). List any Experts that the IESG will need to appoint during IESG Evaluation for any new Expert Review processes the document describes.
> 
> (13) Describe reviews and automated checking done by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc.
> 
> (14) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. Please fill in the sections of the below approval announcement, replacing the description in parentheses with appropriate text.
> 
> Technical Summary
> 
> (Relevant content can frequently be found in the abstract and/or introduction of the document. If not, this may be an indication that there are deficiencies in the abstract or introduction.)
> 
> Working Group Summary
> 
> (This should contain a description of anything in WG process that is worth noting. For example, describe controversies about particular points or decisions where the consensus was particularly rough.)
> 
> Document Quality
> 
> (This should contain a description of any existing implementations of the protocol. Indicate how many vendors have indicated their plans to implement the specification. List any reviewers that merit special mentions as having done a thorough review, e.g., one that resulted in important changes or a conclusion that the document had no substantive issues. Describe briefly the course of any MIB Doctor, Media Type, or other expert review that was done. Indicate the dates that any Media Type reviews were posted to the ietf-types list.)
> 
> Personnel
>

---

From: Jari Arkko <[email-masked]>
Date: Sun, 30 Oct 2011 11:21:14 +0200

I have to say I like Pete's formulation more than the current one. But I also agree with Glen; it might be that instead of a "Yes" you will get "There is solid consensus" or "There are no concerns". Or my personal favorite, "Now that I run idnits checker there are some issues but we are sending it to the IESG anyway" :-)

(And +1 to John on reviewing writeups like this in the wider community as well. But otherwise I would not take too much stress on this issue, these are all non-normative in any case.)

Jari

---

From: "Martin J. Dürst" <[email-masked]>
Date: Sun, 30 Oct 2011 20:59:36 +0900

I tend to agree with Glen. I haven't been in the position of an AD, but 
I have written a few writeups. I don't feel like I want to come up with 
creative wording over and over again where a simple 'yes' would have 
said the same. What we need is a form that makes people write some text 
where that's appropriate, and not a policy of "the more text, the better".

My guess is that this will also keep the job easier for the ADs; with 
lots of text, they have to second-guess it every time ("does this read 
like everything is okay, or does this hint at some problem").

Regards,   Martin.

---

From: John C Klensin <[email-masked]>
Date: Sun, 30 Oct 2011 10:47:57 -0400

--On Sunday, October 30, 2011 13:11 +0700 Glen Zorn
<[email-masked]> wrote:

>...
> Has there ever been an EDU training session on document
> shepherding?  Teaching people how to do it might have a better
> effect than attempting to manipulate their actions by fiddling
> w/forms...

While I generally like Pete's proposal, I agree with Glen's view
in at least two respects:

	* Training sessions and, ideally, a good question by
	question description of what the IESG is looking for and
	why, will go further here than changes in the form
	alone.  
	
	* Negative reinforcement is a pretty painful tool but,
	if the IESG is getting Shepherd reports it doesn't like
	-- because they are non-responsive, give variations on
	Jari's favorite answer, or just not helpful in providing
	the information needed to guide the IESG through the
	document -- then there is always the option of bouncing
	the report back to the WG Chair(s) and Shepherd rather
	than processing the document and working around the
	report.  A bit more of that, especially if the bounce
	was accompanied by a pointer to an explanation about why
	the report was unacceptable, might lead to both
	improvements in quality and a small reduction in IESG
	workload.

Where I disagree with Glen is that I think a clear form/
template is useful and that Pete's version of such a form is
much better than the current one.

best,
   john

---

From: Pete Resnick <[email-masked]>
Date: Sun, 30 Oct 2011 10:24:45 -0500

>> than attempting to manipulate their actions by fiddling w/forms...

Funny you should ask. I volunteered to help out with the EDU session in 
Taipei to talk about just this sort of thing. I agree teaching people is 
far more effective than trying to finesse these into "essay questions". 
And I think John is also correct: "Negative reinforcement" has also been 
working well: Folks who have been writing shepherd reports who got a 
less-than-positive reaction from me have not only improved that report, 
but have also improved subsequent ones. That said, not everyone goes to 
the EDU sessions and not everyone will have a mean old AD like me. Some 
change to the form to encourage more useful answers couldn't hurt.

> I tend to agree with Glen. I haven't been in the position of an AD, 
> but I have written a few writeups. I don't feel like I want to come up 
> with creative wording over and over again where a simple 'yes' would 
> have said the same.

Well, as I said initially, there are exceedingly few of the "questions" 
that ought to get a simple 'yes' in the first place. In those cases 
where a 'yes' will do, we shouldn't have to ask. (Maybe we should simply 
provide a checklist to be done before you even bother to turn in the 
rest of the text.) For instance, I really don't want a yes/no answer to 
"Has the document had adequate review both from key WG members and from 
key non-WG members?" I assume it has unless the shepherd is about to 
tell me, "The chair is an idiot and sent this document forward without 
sufficient review." If it has had sufficient review, a good answer is, 
"It's clear from my watching the mailing list that implementers A, B, 
and C in the WG have been reviewing; we didn't just get 'looks ok to me' 
responses from professional standards goers. And outside the WG, Martin 
Dürst gave a good i18n review of the document early on." If the shepherd 
isn't going to give me specifics on the quality of the reviews, or isn't 
going to tell me that the chair has lost his mind, a simple 'yes' really 
isn't telling me useful information.

> What we need is a form that makes people write some text where that's 
> appropriate, and not a policy of "the more text, the better".

I absolutely agree with that. Mine was intended to be a strawman along 
those lines.

pr

---

From: Paul Hoffman <[email-masked]>
Date: Sun, 30 Oct 2011 08:35:37 -0700

On Oct 29, 2011, at 11:11 PM, Glen Zorn wrote:

> produce any better outcome

It might not _necessarily_ produce a better outcome, but it will often produce one.

> -- you may just end up w/a couple of hundred
> have.

If you you don't like writing long sentences, write short ones. "I reviewed it and it is ready" takes little more effort than "yes, yes"; I'm not sure how it could provide less information, but you're free to try to find out.

> than attempting to manipulate their actions by fiddling w/forms...

I have led a few Wednesday EDU training sessions, and you seem to put more value on them than they might warrant. They are useful introductions to topics, but are not exhaustive. They are attended by a minority of WG chairs. The EDU team does a great job of preparing educational voluntary sessions, but they are a small group and it seems unfair to saddle them with a responsibility like this.

As an aside, I find it a tad humorous that you and John Klensin, both consultants, would want to subject >100 of your colleagues to training sessions that would elicit "oh, not again" from people who have corporate jobs and too many mandatory meetings.

--Paul Hoffman

---

From: John C Klensin <[email-masked]>
Date: Sun, 30 Oct 2011 12:08:34 -0400

--On Sunday, October 30, 2011 08:35 -0700 Paul Hoffman
<[email-masked]> wrote:

>> shepherding?  Teaching people how to do it might have a
>> better effect than attempting to manipulate their actions by
>> fiddling w/forms...
> 
> I have led a few Wednesday EDU training sessions, and you seem
> to put more value on them than they might warrant. They are
> useful introductions to topics, but are not exhaustive. They
> are attended by a minority of WG chairs. The EDU team does a
> great job of preparing educational voluntary sessions, but
> they are a small group and it seems unfair to saddle them with
> a responsibility like this.

Paul, that part of my suggestion was deliberately two-pronged.
There are people who like training courses (even brief ones).
If someone is willing to do them, I think that is a good match.
At the same time, I think a document or web page that
supplements whatever-the-form-is with "this is what we are
trying to find out and why we need to know it" explanations
would be useful for those who don't want to go to another
meeting and those who need more detail.  I see the two as
complementary, not alternatives, partially because such a
document would act as input to training sessions and the
training sessions could provide feedback on the document.

Obviously (at least to me), some people wouldn't get to the EDU
training, some people wouldn't read the document, and some
people would do neither.  But nothing can be done about that,
other than the negative reinforcement option, at least without
requiring a test and certificate for anyone who wants to take on
some task.  I hope we never go there but, if we do, I personally
have a rather long list of things about which I'd like to see
qualifications before we got to this one.

Of course, if you wanted to add an "all about document shepherds
and shepherd reports" section to the Tao, that would be a good
alternative to such a document :-)

    john

---

From: Russ Housley <[email-masked]>
Date: Sun, 30 Oct 2011 12:32:12 -0400

John:

>>      document satisfies all ID nits? (See the Internet-Drafts
>> Checklist        and http://www.ietf.org/tools/idnits/).
>> ...
> 
> As long as this effort is about WG document writeups to give the
> IESG information in more useful form, reviewing it with the WG
> Chairs list is entirely reasonable (although I'd be happier if
> the review included recent and prospective WG Chairs and
> Shepherds, I recognize there is no such list). But I think it
> would be extremely unfortunate if we found ourselves making
> policy that affects the whole community --and that should
> represent community consensus-- through the back door. 
> 
> I find the part of paragraph 8 quoted above particularly
> problematic.  
> 
> First, the nits-checker is an imperfect tool based on a
> collection of heuristics.  It works well for some documents;
> others completely confuse it.  If what the IESG really wants is
> a listing of what the nits-checker finds (if anything),
> annotated with what the WG wants to do about it or why the
> nits-checker finds issues, that is what you should ask for.
> Requiring that the  "document satisfies all ID nits" turns the
> nits-checker into a conformance enforcer.  Based on experience,
> that isn't what the IESG wants.  And certainly it would be hard
> to point to community consensus for that interpretation of the
> tool.
> 
> Second, no matter how much input they have gotten from either
> the IESG or this list, neither the list of things the nits
> checker looks for nor the checklist are, as far as I can tell,
> community consensus documents.  Most of their provisions come
> out of either community consensus document or RFC Editor
> requirements, but some do not.    We should be very careful,
> IMO, to avoid getting ourselves into a situation in which adding
> something to the checklist or nits-checker because they are good
> things to check and be aware of turns into a requirement on
> documents in the IETF Stream without first getting wide
> community exposure and, ideally, consensus.  I can live with
> making a highly-visible announcement and then treating silence
> as consent in situations like this, but (accidentally or
> deliberately) sneaking a new requirement in via the checklist or
> nits checker too closely resembles playing "gotcha" with WGs and
> document editors.

https://datatracker.ietf.org/doc/draft-ietf-proto-wgchair-doc-shepherding/history/

This question is unchanged from the document that passed IETF Last Call, except that the URL has been updated.  See (1.g) in RFC 4858.

Russ

---

From: Paul Hoffman <[email-masked]>
Date: Sun, 30 Oct 2011 10:15:56 -0700

On Oct 30, 2011, at 9:08 AM, John C Klensin wrote:

> meeting and those who need more detail.

Such a document would be *much* more useful than relying on an EDU session.

> alternative to such a document :-)

Hey, I know: I could make you co-author of the Tao and have you write it!

--Paul Hoffman

---

From: Pete Resnick <[email-masked]>
Date: Sun, 30 Oct 2011 17:01:42 -0500

On 10/30/11 11:32 AM, Russ Housley wrote:
>
>> ...neither the list of things the nits
>> community consensus documents.
>>      

No, neither the list of things the nits checker looks for nor the 
checklist that list is based on appears in 4858. The checklist only 
appears here:

<http://www.ietf.org/id-info/checklist.html>

And John's right on that one: That's not a consensus document.

pr

---

From: "David Harrington" <[email-masked]>
Date: Sun, 30 Oct 2011 18:08:20 -0400

wfm
dbh 

> [mailto:[email-masked]] On Behalf Of Jari Arkko
> Sent: Saturday, October 29, 2011 7:14 PM
> To: Russ Housley
> Cc: IETF WG Chairs

---

From: Margaret Wasserman <[email-masked]>
Date: Sun, 30 Oct 2011 19:36:43 -0400

>>>       please summarize the discussion and the WG consensus.

s/disclosure shared/disclosure has been shared

Other than that, I have no issue with this addition, and I think it could be useful in some cases.

Margaret

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 31 Oct 2011 09:48:17 -0400

> Below is a strawman complete rewrite of the document writeup

[&c.]

I like it, though the subsequent discussions of the essay questions
puts me in mind of the aphorism, "I didn't have time to write a short
letter, so I've written a long one instead."  I hope the ADs know what
they're asking.

A

-- 
Andrew Sullivan
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Sat, 29 Oct 2011 22:08:56 -0400

--On Thursday, October 27, 2011 22:07 +0100 Adrian Farrel
<[email-masked]> wrote:

> There is a requirement that the WG is aware of the IPR, and if
> there is a discussion then the IESG would like a pointer to it
> (actually, i would personally be happy with a précis). Is
> that hard?
> 
> You could argue that this is covered by "was there any
> discontent, blah, blah", but this is a specific issue we would
> like to call out in order to make sure it is not missed.

Adrian,

Your message seemed the best one to reply to in order to raise a
slightly different issue about IPR.  I understand and am
sympathetic with the reasons for the change and the desire of
the IESG to be informed about this.   I also like the
improvements in wording (both the IPR wording and Pete's
rewriting suggestion) that were discussed subsequent to your
message.  However, I want to be sure we don't find ourselves in
a situation a few other SDOs have encountered -- essentially
needing a lawyer in the room during all document and process
approval processes to be sure that inappropriate conversations
don't occur and/or organization-based rules about who can have
conversations with whom without specified others being present.

I hope the IESG will check this with Counsel (indeed, I hope
that has been done already), but I'm not sure you want either a
pointer or a précis.  Given our current IPR rules, it is
entirely reasonable and appropriate for the IESG to ask "is
there any declared IPR and, if there is, has the WG reviewed it
and reached conclusions consistent with processing this
document" (however that is phrased) and expect a "yes" or "no"
answer.  But, to the extent that examining the discussion might
lead the IESG to a conclusion that the discussion was not
adequate or, worse, that the WG reached the wrong conclusion,
you stray very close to the territory in which real
hair-splitting -- probably hair-splitting by lawyers-- will be
required to distinguish between evaluating the quality of the WG
discussion and evaluating the quality of the claims themselves.
You don't want to go anywhere near the latter and I fear that
some of this discussion sets things up for backing into it.

   john

---

From: John C Klensin <[email-masked]>
Date: Sat, 29 Oct 2011 22:48:21 -0400

> Writeup.  Please let us know if this causes any concern.

It causes me one that is more of a process problem.  The problem
doesn't originate with this draft, but the draft highlights it.
Since all of the other comments have been about either IPR or
compound questions, I thought it worth starting another thread.

    john